#ifndef CRFEPURREFLEPCTEDPOWERSETTINGS_H
#define CRFEPURREFLEPCTEDPOWERSETTINGS_H

#include "../../ui/TabWidget.h"
#include "../../ui/ConfigDialog.h"
#include <ui_CRfePurReflectedPowerSettings.h>

class QrfeRfePurReader;

class CRfePurReflectedPowerSettings : public ReaderTabWidget, ConfigDialog
{
    Q_OBJECT

public:
    CRfePurReflectedPowerSettings(QTextEdit* infoEdit, QWidget* parent);
    ~CRfePurReflectedPowerSettings();

	virtual bool init(QrfeReaderInterface* reader);
	virtual void deinit();
	virtual void activated();

private slots:
    void reloadSettings();
    void setRfpMeasurementData();

private:
    QrfeRfePurReader* 		m_reader;

    Ui::CRfePurReflectedPowerSettingsClass ui;
};

#endif // CRFEPURREFLEPCTEDPOWERSETTINGS_H
